Ha Linuxot használ, most figyeljen erre

Ha Linuxot használ, most figyeljen erre

Utolsó frissítés:

Szerző:

szerző:
hvg.hu
Tetszett a cikk?

Viszonylag ritkán hallani a Linux sebezhetőségéről, pedig olykor ezeket a rendszereket is kiszúrják maguknak a hackerek.

Csak egy ártatlannak tűnő fájlt kell megnyitni, és máris szabad utat adott a Linux-felhasználó a hackereknek – figyelmeztet a The Hacker News. A szóban forgó segédprogramok a népszerű Vim és Neovim. Ezek általában együtt érkeznek a Linuxszal, és igen kedveltek a felhasználók körében, ugyanis egyszerűen lehet velük létrehozni, szerkeszteni, megnézni különféle dokumentumokat, szövegeket, sőt scripteket is. A Noewim a Vim javított, felturbózott verziója.

E két segédprogramban talált súlyos sebezhetőséget egy biztonsági kutató, sőt egy megvalósíthatósági tervben a támadást is szimulálta.

©

Kiderült, hogy hiába is használnak sandbox védelmet ezek a utilityk, a hackerek ezt meg tudják kerülni egy kifejezetten átalakított fájllal. Ha ezt a fájlt megnyitják az említett szövegszerkesztőkkel, akkor lehetőség nyílik távoli kódfuttatásra és arra, hogy a támadók átvegyék az irányítást a linuxos gép felett.

Mind a Vimre, kind a Neovimra kiadták már a javítást (patch 8.1.1365 és v0.3.6), így a szerkesztőket használóknak a minél gyorsabb frissítést javasolják.

Ha máskor is tudni szeretne a biztonsági fenyegetésekről, lájkolja a HVG Tech rovatának Facebook-oldalát.

Hozzászólások